Subject: Re: Top 10 kernel oopses/warnings for the week of December 21st 2007

From: Arjan van de Ven <[email-masked]>
Date: Fri, 21 Dec 2007 15:30:45 +0100

Andi Kleen wrote:
> Arjan van de Ven <[email-masked]> writes:
> 
>> 	
>> Rank 8: __change_page_attr
>> 	BUG at arch/x86/mm/pageattr_64.c:176
>> 	Reported 2 times
>> 	Reported this week for 2.6.24-rc5; history goes back to 2.6.15
> 
> There is no BUG on this line on 2.6.24-rc5.   Since there are many
> BUG_ONs in this file it is unclear which you mean.
> 
> Could you always include the version of the kernel where the actual
> oops in the line came from?

in this case this is really all the version information available ;(
it seems to be a patched kernel without patched EXTRAVERSION.
But in the future if I have more specific information (eg it's only 1 kernel version) I'll mention it in more detail.
It gets unwieldy if there's 500 reports for an oops of course ;)

> 
> Anyways there are a lot of third party modules who do strange 
> things with c_p_a(), not always legal, so you might look up out for that 
> pattern too. Perhaps report the out of tree modules loaded in the 
> summary too?

I already always will mention if the oops is tainted or not (that I track specifically);
I'll keep an eye out for other non-tainting out of tree modules as well.

Thanks for the suggestions.